petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexCreateReferenceCell

Create a DMPLEX with the appropriate FEM reference cell

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateReferenceCell(MPI_Comm comm, PetscInt dim, PetscBool simplex, DM *refdm)

Collective on comm

### Input Parameters

| comm | - The communicator
| dim | - The spatial dimension
| simplex | - Flag for simplex, otherwise use a tensor-product cell

### Output Parameter

refdm -The reference cell

### Keywords

reference cell

### See Also

Level:intermediate
Location:src/dm/impls/plex/plexcreate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages